2019-11-23 00:07 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002199NetSurfGTK-specificpublic2019-10-19 22:03
Reportersabotage_linux 
Assigned ToVincent Sanders 
SeveritymajorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformLinuxOSSabotage LinuxOS Version3.14
Product Version3.3 
Target VersionFixed in Version3.10 
Summary0002199: integer overflow in gtk download progress window with files > 2GB
Description50 MB of 17179869184.00 GB
-5 % of 1 files

should use off_t rather than int
Steps To Reproducedownload a file with at least 2 Gb (maybe some linux DVD iso)
TagsNo tags attached.
Fixed in CI build #4869
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0002106

Vincent Sanders (administrator)

fixed the handling of large file sizes in downloads
+Notes

-Issue History
Date Modified Username Field Change
2014-09-10 23:27 sabotage_linux New Issue
2014-09-18 08:42 Chris Young Project Buildsystem => NetSurf
2014-09-19 13:19 Vincent Sanders Status new => acknowledged
2014-10-10 14:02 Vincent Sanders Assigned To => Vincent Sanders
2014-10-10 14:02 Vincent Sanders Product Version => 3.3
2019-05-06 13:17 Vincent Sanders Assigned To Vincent Sanders =>
2019-10-17 12:54 Vincent Sanders Category General => GTK-specific
2019-10-19 22:03 Vincent Sanders Assigned To => Vincent Sanders
2019-10-19 22:03 Vincent Sanders Status acknowledged => resolved
2019-10-19 22:03 Vincent Sanders Resolution open => fixed
2019-10-19 22:03 Vincent Sanders Fixed in Version => 3.10
2019-10-19 22:03 Vincent Sanders Fixed in CI build # => 4869
2019-10-19 22:03 Vincent Sanders Note Added: 0002106
+Issue History